import { switchTabEffect, addMessageEffect, updateMessageStatusEffect, selectModelEffect, setApiKeyEffect, toggleSettingsEffect } from './lib/state';
import { type SidebarOptions } from '../sidebar';
import type { Extension } from '@codemirror/state';
export interface AssistantOptions extends Omit<SidebarOptions, 'id' | 'dock'> {
    keymap?: string | {
        mac: string;
        win: string;
    };
    model?: 'gpt-4' | 'gpt-3.5-turbo' | 'mistral' | 'gemini';
    /**
     * Whether the assistant should be open by default
     * @default false
     */
    initiallyOpen?: boolean;
}
/**
 * Creates an AI assistant sidebar extension for CodeMirror
 */
export declare function assistant(options?: AssistantOptions): Extension[];
export { switchTabEffect, addMessageEffect, updateMessageStatusEffect, selectModelEffect, setApiKeyEffect, toggleSettingsEffect, };
export type { Message, Model } from './types';
