export declare const containerStyles: {
    display: string;
    flexDirection: string;
    height: string;
    overflow: string;
    boxSizing: string;
    padding: string;
};
export declare const tabsContainerStyles: {
    display: string;
    justifyContent: string;
    alignItems: string;
    height: string;
};
export declare const tabsGroupStyles: {
    display: string;
    alignItems: string;
    gap: string;
};
export declare const getTabStyles: (isActive: boolean) => {
    background: string;
    border: string;
    padding: string;
    fontSize: string;
    fontWeight: string;
    cursor: string;
    borderRadius: string;
    color: string;
    opacity: string;
    transition: string;
    marginBottom: string;
    borderBottom: string;
};
export declare const controlsContainerStyles: {
    display: string;
    alignItems: string;
    gap: string;
};
export declare const modelSelectStyles: {
    background: string;
    border: string;
    borderRadius: string;
    color: string;
    padding: string;
    fontSize: string;
    cursor: string;
    outline: string;
    appearance: string;
    backgroundImage: string;
    backgroundRepeat: string;
    backgroundPosition: string;
    textAlign: string;
    direction: string;
};
export declare const settingsButtonStyles: {
    background: string;
    border: string;
    padding: string;
    fontSize: string;
    cursor: string;
    opacity: string;
    transition: string;
    color: string;
    display: string;
    alignItems: string;
};
export declare const headerBorderStyles: {
    height: string;
    background: string;
    margin: string;
};
export declare const messagesContainerStyles: {
    flex: string;
    overflowY: string;
    padding: string;
    display: string;
    flexDirection: string;
    gap: string;
};
export declare const inputContainerStyles: {
    borderTop: string;
    padding: string;
    width: string;
    boxSizing: string;
};
export declare const textareaStyles: {
    width: string;
    boxSizing: string;
    background: string;
    border: string;
    borderRadius: string;
    color: string;
    padding: string;
    fontSize: string;
    lineHeight: string;
    resize: string;
    outline: string;
};
export declare const loadingContainerStyles: {
    display: string;
    alignItems: string;
    justifyContent: string;
    padding: string;
    alignSelf: string;
    opacity: string;
};
export declare const spinnerStyles: {
    width: string;
    height: string;
    border: string;
    borderTop: string;
    borderRadius: string;
    animation: string;
};
export declare const getMessageStyles: (isUser: boolean) => {
    maxWidth: string;
    padding: string;
    borderRadius: string;
    fontSize: string;
    lineHeight: string;
    alignSelf: string;
    background: string;
    color: string;
    display: string;
    flexDirection: string;
    gap: string;
};
export declare const messageContentStyles: {
    whiteSpace: string;
    lineHeight: string;
    display: string;
    flexDirection: string;
    gap: string;
};
export declare const codeBlockContainerStyles: {
    margin: string;
    position: string;
    border: string;
    borderRadius: string;
    overflow: string;
    backgroundColor: string;
    boxShadow: string;
};
export declare const codeBlockEditorTheme: import("@codemirror/state").Extension;
export declare const codeBlockHeaderStyles: {
    padding: string;
    borderBottom: string;
    background: string;
    color: string;
    fontSize: string;
    fontFamily: string;
    textTransform: string;
    letterSpacing: string;
    display: string;
    alignItems: string;
    gap: string;
    userSelect: string;
    position: string;
    height: string;
    boxSizing: string;
};
export declare const copyButtonStyles: {
    background: string;
    border: string;
    padding: string;
    cursor: string;
    color: string;
    opacity: string;
    transition: string;
    marginLeft: string;
    display: string;
    alignItems: string;
    justifyContent: string;
    height: string;
};
export declare const dotStyles: {
    fontSize: string;
    opacity: string;
};
export declare const headerSpinnerStyles: {
    marginLeft: string;
    width: string;
    height: string;
    border: string;
    borderTopColor: string;
    borderRightColor: string;
    borderRadius: string;
    animation: string;
};
export declare const incompleteCodeLoadingContainerStyles: {
    padding: string;
    display: string;
    alignItems: string;
    justifyContent: string;
    minHeight: string;
    color: string;
    fontFamily: string;
    fontSize: string;
    background: string;
    borderTop: string;
};
export declare const textContainerStyles: {
    margin: string;
    padding: string;
    lineHeight: string;
    minHeight: string;
};
export declare const settingsHeaderStyles: {
    fontSize: string;
    fontWeight: string;
    color: string;
    padding: string;
    background: string;
    borderRadius: string;
    marginBottom: string;
    borderBottom: string;
    display: string;
};
export declare const providerHeaderStyles: {
    fontSize: string;
    fontWeight: string;
    color: string;
    padding: string;
    display: string;
    justifyContent: string;
    alignItems: string;
    width: string;
    boxSizing: string;
    height: string;
};
export declare const providerContentStyles: {
    display: string;
    flexDirection: string;
    gap: string;
    padding: string;
    background: string;
    borderRadius: string;
};
export declare const settingsDescriptionStyles: {
    fontSize: string;
    marginTop: string;
    marginBottom: string;
    color: string;
    opacity: string;
};
export declare const settingsInputsContainerStyles: {
    display: string;
    flexDirection: string;
    gap: string;
};
export declare const getSettingsInputStyles: (hasApiKey: boolean) => {
    display: string;
    gap: string;
    padding: string;
    borderRadius: string;
    height: string;
    boxSizing: string;
};
export declare const settingsInputFieldStyles: {
    flex: string;
    background: string;
    border: string;
    borderRadius: string;
    padding: string;
    fontSize: string;
    color: string;
    outline: string;
    transition: string;
    fontFamily: string;
    boxSizing: string;
};
export declare const settingsMessageContainerStyles: (hasApiKey: boolean) => {
    fontSize: string;
    color: string;
    opacity: string;
    padding: string;
    display: string;
    alignItems: string;
    background: string;
    borderRadius: string;
    height: string;
    boxSizing: string;
};
export declare const inlineCodeStyles = "\n    background: var(--cm-code-bg, rgba(96, 125, 139, 0.3));\n    padding: 1px 4px;\n    border-radius: 3px;\n    font-family: monospace;\n    font-size: 12px;\n    display: inline;\n    white-space: pre;\n    color: var(--cm-code-color, #e5e7eb);\n";
export declare const codeBlockWrapperStyles: {
    border: string;
    borderRadius: string;
    margin: string;
    overflow: string;
    backgroundColor: string;
    boxShadow: string;
};
export declare const codeBlockContentStyles: {
    padding: string;
};
export declare const loadingDotsStyles: {
    display: string;
    alignItems: string;
    gap: string;
    marginLeft: string;
    opacity: string;
    height: string;
};
export declare const loadingDotBaseStyles: {
    width: string;
    height: string;
    borderRadius: string;
    transition: string;
};
export declare const loadingDotFilledStyles: {
    backgroundColor: string;
    width: string;
    height: string;
    borderRadius: string;
    transition: string;
};
export declare const loadingDotEmptyStyles: {
    backgroundColor: string;
    width: string;
    height: string;
    borderRadius: string;
    transition: string;
};
export declare const settingsPanelContainerStyles: {
    display: string;
    flexDirection: string;
    height: string;
    overflow: string;
    boxSizing: string;
    padding: string;
};
