import { z } from 'zod';
declare const appConfigSchema: z.ZodObject<{
    PACKAGE_NAME: z.ZodDefault<z.ZodString>;
    VERSION: z.ZodDefault<z.ZodString>;
    NODE_ENV: z.ZodDefault<z.ZodEnum<["development", "test", "production"]>>;
    BUILD_TARGET: z.ZodDefault<z.ZodEnum<["browser", "bun", "node"]>>;
}, "strip", z.ZodTypeAny, {
    PACKAGE_NAME: string;
    VERSION: string;
    NODE_ENV: "production" | "development" | "test";
    BUILD_TARGET: "browser" | "bun" | "node";
}, {
    PACKAGE_NAME?: string | undefined;
    VERSION?: string | undefined;
    NODE_ENV?: "production" | "development" | "test" | undefined;
    BUILD_TARGET?: "browser" | "bun" | "node" | undefined;
}>;
type AppConfig = z.infer<typeof appConfigSchema>;
export declare const config: AppConfig;
export {};
